diff --recursive -P -C3 slashem-0.0.7E7F2/dat/gehennom.des slethe-0.0.7E7F2/dat/gehennom.des
*** slashem-0.0.7E7F2/dat/gehennom.des	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/gehennom.des	2006-05-28 15:31:15.690997792 +0200
***************
*** 5,53 ****
  #
  
  MAZE: "valley", ' '
! FLAGS: hardfloor
  GEOMETRY:center,center
  MAP
! ----------------------------------------------------------------------------
! |...S.|..|.....|  |.....-|      |................|   |...............| |...|
! |---|.|.--.---.|  |......--- ----..........-----.-----....---........---.-.|
! |   |.|.|..| |.| --........| |.............|   |.......---| |-...........--|
! |   |...S..| |.| |.......-----.......------|   |--------..---......------- |
! |----------- |.| |-......| |....|...-- |...-----................----       |
! |.....S....---.| |.......| |....|...|  |..............-----------          |
! |.....|.|......| |.....--- |......---  |....---.......|                    |
! |.....|.|------| |....--   --....-- |-------- ----....---------------      |
! |.....|--......---BBB-|     |...--  |.......|    |..................|      |
! |..........||........-|    --...|   |.......|    |...||.............|      |
! |.....|...-||-........------....|   |.......---- |...||.............--     |
! |.....|--......---...........--------..........| |.......---------...--    |
! |.....| |------| |--.......--|   |..B......----- -----....| |.|  |....---  |
! |.....| |......--| ------..| |----..B......|       |.--------.-- |-.....---|
! |------ |........|  |.|....| |.....----BBBB---------...........---.........|
! |       |........|  |...|..| |.....|  |-.............--------...........---|
! |       --.....-----------.| |....-----.....----------     |.........----  |
! |        |..|..B...........| |.|..........|.|              |.|........|    |
! ----------------------------------------------------------------------------
  ENDMAP
  # Dungeon Description
  # The shrine to Moloch.
! REGION:(01,06,05,14),lit,"temple"
  # The Morgues
! REGION:(19,01,24,08),unlit,"morgue",filled,true
! REGION:(09,14,16,18),unlit,"morgue",filled,true
! REGION:(37,09,43,14),unlit,"morgue",filled,true
  # Stairs
! STAIR:(01,01),down
  # Branch location
! BRANCH:(66,17,66,17),(0,0,0,0)
  
  # Secret Doors
! DOOR:locked,(04,01)
! DOOR:locked,(08,04)
! DOOR:locked,(06,06)
  
  # The altar of Moloch.
! ALTAR:(03,10),noalign,shrine
  
  # Non diggable walls - everywhere!
  NON_DIGGABLE:(00,00,75,19)
--- 5,56 ----
  #
  
  MAZE: "valley", ' '
! FLAGS: noteleport,hardfloor,nommap,lethe
  GEOMETRY:center,center
  MAP
! ----------------------------------------------}}}}--------------------------
! |...| |...............|   |................| }}}} |-.....|  |.....|..|.S...|
! |.-.---........---....-----.-----..........--}}}} |......|  |.---.--.|.|---|
! |--...........-| |---.......|   |.............}}}}|......-- |.| |..|.|.|   |
! | -------......---..--------|   |------.......}}}}---.....| |.| |..S...|   |
! |  ---- ----................-----...| --...|...}}}}F.....-| |.| -----------|
! |---..---- -----------..............|  |...|...}}}}--.....| |.---....S.....|
! |........------      -FF---..---....|  ---......}}}}|.....| |......|.|.....|
! |.............--------..------ --BB----| --.....}}}}--....| |------|.|.....|
! |---.....................--    |.......|  --...| }}}}|-BBB---......--|.....|
! |  ----..............||...|    |.......|   |...--}}}}|.....|...||....S.....|
! |     --.............||...| ----.......|   |.....}}}}|.....S..-||-...|.....|
! |    --...----.----.......| |..........--------.}}}}......---......--|.....|
! |  ---....|  |.| ----..---------..........|..}}}.}}}..|...---------| |.....|
! |---.....-| --.---..----.......---........}}}}}}}.}------.B.|......| |.....|
! }}}}}}}}..---...........}}}}}}..BBBBB--}}}}}}}}}}}...|.|---........| ------|
! }}}}}}}}}}}}}}}.....}}}}}}}}}}}}}}}}}}}}}}}}}}}}}..|...|  |........|       |
! }}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}|..-----------.....--       |
! |   }}}}}}}}}}}}}}}}}}}}}}    }}}}}}}}}}}}...   |.........B....|..|        |
! -----------}}}}}}}}}}}}-----------------------------------------------------
  ENDMAP
  # Dungeon Description
  # The shrine to Moloch.
! REGION:(70,06,74,14),lit,"temple"
  # The Morgues
! REGION:(52,01,57,08),unlit,"morgue",filled,true
! REGION:(59,14,66,18),unlit,"morgue",filled,true
! REGION:(32,09,42,14),unlit,"morgue",filled,true
  # Stairs
! STAIR:(74,01),down
  # Branch location
! BRANCH:(05,09,05,09),(0,0,0,0)
! TELEPORT_REGION:(01,06,20,11),(0,0,0,0),down
  
  # Secret Doors
! DOOR:locked,(71,01)
! DOOR:locked,(67,04)
! DOOR:locked,(69,06)
! DOOR:locked,(69,10)
! DOOR:locked,(59,11)
  
  # The altar of Moloch.
! ALTAR:(72,10),noalign,shrine
  
  # Non diggable walls - everywhere!
  NON_DIGGABLE:(00,00,75,19)
***************
*** 85,99 ****
  OBJECT:'[',random,random
  OBJECT:'[',random,random
  OBJECT:'[',random,random
! OBJECT:'[',random,random
! OBJECT:')',random,random
  OBJECT:')',random,random
  OBJECT:')',random,random
  OBJECT:')',random,random
  #
  # Some random loot.
  #
! OBJECT:'*',"ruby",random
  OBJECT:'*',random,random
  OBJECT:'*',random,random
  OBJECT:'!',random,random
--- 88,102 ----
  OBJECT:'[',random,random
  OBJECT:'[',random,random
  OBJECT:'[',random,random
! OBJECT[50%]:'[',random,random
  OBJECT:')',random,random
  OBJECT:')',random,random
  OBJECT:')',random,random
+ OBJECT[50%]:')',random,random
  #
  # Some random loot.
  #
! OBJECT[50%]:'*',"ruby",random
  OBJECT:'*',random,random
  OBJECT:'*',random,random
  OBJECT:'!',random,random
***************
*** 113,125 ****
  OBJECT:'(',random,random
  
  # (Not so) Random traps.
! TRAP:"spiked pit", (05,02)
! TRAP:"spiked pit", (14,05)
! TRAP:"sleep gas", (03,01)
! TRAP:"board", (21,12)
  TRAP:"board", random
! TRAP:"dart", (60,01)
! TRAP:"dart", (26,17)
  TRAP:"anti magic", random
  TRAP:"anti magic", random
  TRAP:"magic", random
--- 116,128 ----
  OBJECT:'(',random,random
  
  # (Not so) Random traps.
! TRAP[25%]:"spiked pit", (70,02)
! TRAP[25%]:"spiked pit", (61,05)
! TRAP[25%]:"sleep gas", (72,01)
! TRAP:"board", (56,12)
  TRAP:"board", random
! TRAP:"dart", (15,01)
! TRAP:"dart", (49,17)
  TRAP:"anti magic", random
  TRAP:"anti magic", random
  TRAP:"magic", random
***************
*** 142,156 ****
  # Some undead nasties for good measure
  MONSTER:'V',random,random
  MONSTER:'V',random,random
! MONSTER:'V',random,random
  MONSTER:'Z',random,random
  MONSTER:'Z',random,random
  MONSTER:'Z',random,random
! MONSTER:'Z',random,random
! MONSTER:'M',random,random
  MONSTER:'M',random,random
  MONSTER:'M',random,random
  MONSTER:'M',random,random
  #
  # The Juiblex level
  #
--- 145,160 ----
  # Some undead nasties for good measure
  MONSTER:'V',random,random
  MONSTER:'V',random,random
! MONSTER[50%]:'V',random,random
  MONSTER:'Z',random,random
  MONSTER:'Z',random,random
  MONSTER:'Z',random,random
! MONSTER[50%]:'Z',random,random
  MONSTER:'M',random,random
  MONSTER:'M',random,random
  MONSTER:'M',random,random
+ MONSTER[50%]:'M',random,random
+ 
  #
  # The Juiblex level
  #
***************
*** 239,244 ****
--- 243,249 ----
  MONSTER:'j',random,random
  MONSTER:'j',random,random
  MONSTER:'j',random,random
+ MONSTER:'P',"shoggoth",random
  MONSTER:'P',random,random
  MONSTER:'P',random,random
  MONSTER:'P',random,random
***************
*** 268,362 ****
  TRAP:"anti magic",random
  TRAP:"magic",random
  TRAP:"magic",random
  #
! # The Orcus Level
  #
  MAZE:"orcus",random
! FLAGS: noteleport,shortsighted
! GEOMETRY:right,center
  # A ghost town
  MAP
! .|....|....|....|..............|....|........
! .|....|....|....|..............|....|........
! .|....|....|....|--...-+-------|.............
! .|....|....|....|..............+.............
! .|.........|....|..............|....|........
! .--+-...-+----+--....-------...--------.+----
! .....................|.....|.................
! .....................|.....|.................
! .--+----....-+---....|.....|...----------+---
! .|....|....|....|....---+---...|......|......
! .|.........|....|..............|......|......
! .----...---------.....-----....+......|......
! .|........................|....|......|......
! .----------+-...--+--|....|....----------+---
! .|....|..............|....+....|.............
! .|....+.......|......|....|....|.............
! .|....|.......|......|....|....|.............
  ENDMAP
- MAZEWALK:(00,06),west
  # Entire main area
! REGION:(01,00,44,16),unlit,"ordinary"
! STAIR:(33,15),down
! STAIR:levregion(01,00,12,20),levregion(20,01,70,20),up
! BRANCH:levregion(01,00,12,20),levregion(20,01,70,20)
! TELEPORT_REGION:levregion(01,00,12,20),levregion(20,01,70,20)
! # Wall "ruins"
! OBJECT:'`',"boulder",(19,02)
! OBJECT:'`',"boulder",(20,02)
! OBJECT:'`',"boulder",(21,02)
! OBJECT:'`',"boulder",(36,02)
! OBJECT:'`',"boulder",(36,03)
! OBJECT:'`',"boulder",(06,04)
! OBJECT:'`',"boulder",(05,05)
! OBJECT:'`',"boulder",(06,05)
! OBJECT:'`',"boulder",(07,05)
! OBJECT:'`',"boulder",(39,05)
! OBJECT:'`',"boulder",(08,08)
! OBJECT:'`',"boulder",(09,08)
! OBJECT:'`',"boulder",(10,08)
! OBJECT:'`',"boulder",(11,08)
! OBJECT:'`',"boulder",(06,10)
! OBJECT:'`',"boulder",(05,11)
! OBJECT:'`',"boulder",(06,11)
! OBJECT:'`',"boulder",(07,11)
! OBJECT:'`',"boulder",(21,11)
! OBJECT:'`',"boulder",(21,12)
! OBJECT:'`',"boulder",(13,13)
! OBJECT:'`',"boulder",(14,13)
! OBJECT:'`',"boulder",(15,13)
! OBJECT:'`',"boulder",(14,14)
  # Doors
! DOOR:closed,(23,02)
! DOOR:open,(31,03)
! DOOR:nodoor,(03,05)
! DOOR:closed,(09,05)
! DOOR:closed,(14,05)
! DOOR:closed,(40,05)
! DOOR:open,(03,08)
! DOOR:nodoor,(13,08)
! DOOR:open,(41,08)
! DOOR:closed,(24,09)
! DOOR:closed,(31,11)
! DOOR:open,(11,13)
! DOOR:closed,(18,13)
! DOOR:closed,(41,13)
! DOOR:open,(26,14)
! DOOR:closed,(06,15)
  # Special rooms
! ALTAR:(24,07),noalign,sanctum
! REGION:(22,12,25,16),unlit,"morgue"
! REGION:(32,09,37,12),lit,"shop"
! REGION:(12,00,15,04),lit,"shop"
  # Some traps.
  TRAP:"spiked pit", random
  TRAP:"sleep gas", random
  TRAP:"anti magic", random
  TRAP:"fire", random
  TRAP:"fire", random
  TRAP:"fire", random
  TRAP:"magic", random
  TRAP:"magic", random
  # Some random objects
  OBJECT:random,random,random
  OBJECT:random,random,random
--- 273,356 ----
  TRAP:"anti magic",random
  TRAP:"magic",random
  TRAP:"magic",random
+ 
  #
! # The New Orcus Level
  #
  MAZE:"orcus",random
! FLAGS: noteleport,shortsighted,lethe,hardfloor
! GEOMETRY:center,center
  # A ghost town
  MAP
!  -----                        --------------------
!  |...|..       .............. |.......|.....|....|     |..........----------
!  |...|...........----------.. |.......|.....|....|.....|..........|........|
!  |...+...........|........|...|.......|--+-----+--.....B..........|........|
!  -----..---+---..|........+...----+----.............{..B..........+......\.|
!  |...+..|.....|..|........|.................------.....B..........|........|
!  |...|..|.....|..----------..}}}}}}}........+....|.....|..........|........|
!  |...|..--...--.........}}}}}}}}}}}}}}}}}...|....|.....|..........------S---
!  -----}}}}.}.}}}}...}}}}}}}}}}}}}}}}}}}}}}}}------.....---------+--   |...|
! }}}}}}}}}}}.}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}..............   |...|
! }}}}}}}}}}.}.}}}}}}}}}}}}}}}-----------}}}}}}}}}}}}}}}}}............  -----
! }}}}}}}}--...--}}}}}}}}.....|.........|..}}}}}}}}}}}}}}}}}}}}}.......
! }}}}....|.....|.............|.........+......}}}}}}}}}}}}}}}}}}}}}}}}}}}
! -------.|.....|..----B----..|.........|................}}}}}}}}}}}}}}}}}}}}}
! |.....|.---+---..|.......|..-----------..-----+----..............}}}}}}}}}}}
! |.....|..........B.......B...............|........|..-------...........}}}}}
! |--+--|...----+---.......-----+----------|........|..|.....-----...--+-----
!    ...... |......|.......|........|......+........|..+.....|...+.. |......|
!           |......|.......|........|......|........|  |.....|...|   |......|
!           -----------------------------------------  -----------   --------
  ENDMAP
  # Entire main area
! REGION:(01,00,75,19),unlit,"ordinary"
! STAIR:(71,04),down
! STAIR:(61,18),up
! BRANCH:(39,01,48,02),(00,00,00,00)
! TELEPORT_REGION:(26,17,40,18),(00,00,00,00)
  # Doors
! DOOR:random,(69,16)
! DOOR:random,(63,17)
! DOOR:random,(53,17)
! DOOR:random,(46,14)
! DOOR:locked,(41,17)
! DOOR:closed,(38,12)
! DOOR:random,(30,16)
! DOOR:random,(14,16)
! DOOR:closed,(11,14)
! DOOR:random,(03,16)
! DOOR:random,(05,05)
! DOOR:random,(05,03)
! DOOR:locked,(11,04)
! DOOR:nodoor,(26,04)
! DOOR:random,(34,04)
! DOOR:random,(41,03)
! DOOR:random,(44,06)
! DOOR:closed,(66,04)
! DOOR:locked,(64,08)
! DOOR:locked,(72,07)
  # Special rooms
! ALTAR:(31,12),noalign,sanctum
! REGION:(18,14,24,18),unlit,"morgue"
! REGION:(56,01,65,07),unlit,"morgue"
! REGION:(01,14,05,15),unlit,"shop"
! REGION:(39,01,43,02),unlit,"shop"
! REGION:(18,03,25,05),unlit,"temple"
! ALTAR:(20,04),noncoaligned,altar
! OBJECT:'%',"corpse",(23,03),"priest",0
  # Some traps.
  TRAP:"spiked pit", random
  TRAP:"sleep gas", random
  TRAP:"anti magic", random
+ TRAP:"anti magic", random
  TRAP:"fire", random
  TRAP:"fire", random
  TRAP:"fire", random
  TRAP:"magic", random
  TRAP:"magic", random
+ TRAP:"magic", random
+ TRAP:"rust", random
  # Some random objects
  OBJECT:random,random,random
  OBJECT:random,random,random
